org.apache.lucene.analysis.ja.dict

## Class ConnectionCosts

- java.lang.Object
- - org.apache.lucene.analysis.ja.dict.ConnectionCosts

-     public final class ConnectionCosts
      extends Object

  n-gram connection cost data

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FILENAME_SUFFIX`
    `static String` | `HEADER`
    `static int` | `VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionCosts(BinaryDictionary.ResourceScheme scheme, String path)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `get(int forwardId, int backwardId)`
    `static ConnectionCosts` | `getInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILENAME_SUFFIX

          public static final String FILENAME_SUFFIX

      See Also:
        Constant Field Values

    - #### HEADER

          public static final String HEADER

      See Also:
        Constant Field Values

    - #### VERSION

          public static final int VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConnectionCosts

          public ConnectionCosts(BinaryDictionary.ResourceScheme scheme,
                                 String path)
                          throws IOException

      Parameters:
        `scheme` - - scheme for loading resources (FILE or CLASSPATH).
        `path` - - where to load resources from, without the ".dat" suffix
      Throws:
        `IOException`

  - ### Method Detail

    - #### get

          public int get(int forwardId,
                         int backwardId)

    - #### getInstance

          public static ConnectionCosts getInstance()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.